import socket
from Classes.Game.Player import Player


class World:
    __players:dict

    def __init__(self):
        self.__players = {}

    def getPlayers(self) -> list:
        return self.__players
    
    def addPlayers(self, player:Player, socket:socket, clientAddr) -> list:
        self.__players[clientAddr] = {
            player: player,
            socket:socket
        }

        return self.__players